package domain

type AlibabaWdkCouponTemplateTerminateCouponTemplateTerminateRequest struct {
	/*
	   ump模板ID     */
	SourceId *int64 `json:"source_id,omitempty" `

	/*
	   用户信息     */
	UserInfo *AlibabaWdkCouponTemplateTerminateUserInfo `json:"user_info,omitempty" `
}

func (s *AlibabaWdkCouponTemplateTerminateCouponTemplateTerminateRequest) SetSourceId(v int64) *AlibabaWdkCouponTemplateTerminateCouponTemplateTerminateRequest {
	s.SourceId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateTerminateCouponTemplateTerminateRequest) SetUserInfo(v AlibabaWdkCouponTemplateTerminateUserInfo) *AlibabaWdkCouponTemplateTerminateCouponTemplateTerminateRequest {
	s.UserInfo = &v
	return s
}
